Skip to main content
`Ctrl`+`K`

# DMDAGetOffset

Gets the index offset of the `DMDA`.

## Synopsis

    #include "petscdmda.h"
    PetscErrorCode DMDAGetOffset(DM da, PeOp PetscInt *xo, PeOp PetscInt *yo, PeOp PetscInt *zo, PeOp PetscInt *Mo, PeOp PetscInt *No, PeOp PetscInt *Po)

Not Collective

## Input Parameter

- da - The `DMDA`

## Output Parameters

- xo - The offset in the x direction

- yo - The offset in the y direction

- zo - The offset in the z direction

- Mo - The global size in the x direction

- No - The global size in the y direction

- Po - The global size in the z direction

## See Also

DMDA - Creating vectors for structured grids, `DM`, `DMDA`, `DMDASetOffset()`, `DMDAVecGetArray()`

## Level

developer

## Location

src/dm/impls/da/da.c

Index of all DMDA routines
Table of Contents for all manual pages
Index of all manual pages